Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## josx.platform.rcx
Class LCD

    java.lang.Object
      josx.platform.rcx.LCD

    public class LCD

extends Object

LCD routines.

Method Summary
`static void` | `clear()` Clears the display.
`static void` | `clearSegment(int aCode)` Clears an LCD segment.
`static void` | `refresh()` Refreshes LCD.
`static void` | `setNumber(int aCode, int aValue, int aPoint)` Sets a number to be displayed in the LCD.
`static void` | `setSegment(int aCode)` Sets an LCD segment.
`static void` | `showNumber(int aValue)` Shows an unsigned number on the LCD.
`static void` | `showProgramNumber(int aValue)` Shows an digit in the Program section of the LCD.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait`

Method Detail

### showNumber

    public static void showNumber(int aValue)

  Shows an unsigned number on the LCD. No need to refresh.

  Parameters:
    `aValue` - An unsigned number in [0, 9999].

### showProgramNumber

    public static void showProgramNumber(int aValue)

  Shows an digit in the Program section of the LCD. No need to refresh.

  Parameters:
    `aValue` - A number in [0, 9].

### setNumber

    public static void setNumber(int aCode,
                                 int aValue,
                                 int aPoint)

  Sets a number to be displayed in the LCD. It does not show up until refresh() is called.

  Parameters:
    `aCode` - SIGNED=0x3001, PROGRAM=0x3017, UNSIGNED=0x301f
    `aValue` - The value to be displayed.
    `aPoint` - 0x3002 - 0x3005, indicating decimal point location.

### refresh

    public static void refresh()

  Refreshes LCD. Has to be called for certain LCD methods to take effect.

### setSegment

    public static void setSegment(int aCode)

  Sets an LCD segment. Requires refresh.

  Parameters:
    `aCode` - One of the following numbers:

    STANDING 0x3006
    WALKING 0x3007
    SENSOR_0_VIEW 0x3008
    SENSOR_0_ACTIVE 0x3009
    SENSOR_1_VIEW 0x300a
    SENSOR_1_ACTIVE 0x300b
    SENSOR_2_VIEW 0x300c
    SENSOR_2_ACTIVE 0x300d
    MOTOR_0_VIEW 0x300e
    MOTOR_0_REV 0x300f
    MOTOR_0_FWD 0x3010
    MOTOR_1_VIEW 0x3011
    MOTOR_1_REV 0x3012
    MOTOR_1_FWD 0x3013
    MOTOR_2_VIEW 0x3014
    MOTOR_2_REV 0x3015
    MOTOR_2_FWD 0x3016
    DATALOG 0x3018
    DOWNLOAD 0x3019
    UPLOAD 0x301a
    BATTERY 0x301b
    RANGE_SHORT 0x301c
    RANGE_LONG 0x301d
    ALL 0x3020

  See Also:
    `clearSegment(int)`

### clearSegment

    public static void clearSegment(int aCode)

  Clears an LCD segment. Requires refresh.

  See Also:
    `setSegment(int)`

### clear

    public static void clear()

  Clears the display. Requires refresh.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD